package cn.gtmap.estateplat.config.core.service.impl;

import cn.gtmap.estateplat.config.core.mapper.config.BdcXtLimitFieldMapper;
import cn.gtmap.estateplat.config.core.service.BdcXtLimitfieldService;
import cn.gtmap.estateplat.model.server.core.BdcZdDjzx;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * @version 1.0, 2017/6/30.
 * @auto <a href="mailto:zhouwanqing@gtmap.cn">zhouwanqing</a>
 * @description
 */
@Service
public class BdcXtLimitfieldServiceImpl implements BdcXtLimitfieldService {
    @Autowired
    BdcXtLimitFieldMapper bdcXtLimitFieldMapper;

    @Override
    public List<Map> getWorkflowTransmitValidates(Map map) {
        return bdcXtLimitFieldMapper.getWorkflowTransmitValidates(map);
    }

    /**
     * @param sql 验证sql语句
     * @return
     * @description 运行验证sql
     */
    @Override
    public List<Map> runSql(final String sql) {
        return bdcXtLimitFieldMapper.runSql(sql);
    }

    public List<BdcZdDjzx> getBdcZdDjzxBySqlxDm(String sqlx) {
        return bdcXtLimitFieldMapper.getBdcZdDjzxBySqlxDm(sqlx);
    }
}